import { AField, IFieldCtx } from '../core/field';


// ===============================================
//                   Entry
// ===============================================

// ===============================================
//                   Entry
// ===============================================
export abstract class APrimitiveField<T> extends AField<T> {
   constructor(ctx: IPrimitiveFieldCtx<T> = {}) {
      super(ctx);
   }
   // -----------------------------------------------
   //                   Api
   // -----------------------------------------------

   // -----------------------------------------------
   //                   Internal
   // -----------------------------------------------

}
// ===============================================
//                   Ctx
// ===============================================
export interface IPrimitiveFieldCtx<T> extends IFieldCtx<T> {
}
